ul.timeline li {
    margin: 0 !important;
    /* padding-left: 2em !important; */
    padding-left: 0 !important;
    text-indent:0 !important;}

ul.timeline li li {
    border-left: 1px solid gainsboro !important;
    line-height: 1.15em !important;
    padding: 10px 0 10px 20px !important;}

ul.timeline li::before {
    color: black;
    content:none;
    left: -1.5px;
    top: 10px;}
    
ul.timeline ul.links-list {
    margin-left: 0px !important;}
    
ul.timeline ul.links-list li:hover {
    border-bottom-color: #00aeef !important;
    color: #00aeef !important;
}

ul.timeline ul.links-list li::before {
    -moz-text-stroke: 1px dimgray;
    -webkit-text-stroke: 1px dimgray;
    text-stroke: 1px dimgray;
    color: white;
    left: -6px;
    top: 9px;
}

ul.timeline ul.links-list li:hover::before {
    text-stroke: 1px #00aeef;
        -moz-text-stroke: 1px #00aeef;
        -webkit-text-stroke: 1px #00aeef;
    color: #00aeef;
}
    
ul.timeline li.complete::before {
    /* color: #bfbfbf; */
}

ul.timeline li.complete .top {
    color:#534784 !important;
}


ul.timeline ul.links-list li.complete {
    border-left: 1px solid gainsboro !important;
    color: #bfbfbf !important;
}
    
ul.timeline ul.links-list li.complete::before {
    /* -moz-text-stroke: 1px #bfbfbf; 
    -webkit-text-stroke: 1px #bfbfbf;
    text-stroke: 1px #bfbfbf;
    color: #bfbfbf;
    left: -6.5px; */
}
    
ul.timeline li.current{
    background: #fdfdfd;
    border: 1px solid gainsboro;
    margin-bottom: 10px;
    padding: 10px 0 0;
}
    
ul.timeline li.current::before {
    color: white;
    content:none;
}

ul.timeline li.current:hover::before {
    -moz-text-stroke: 0;
    -webkit-text-stroke: 0;
    text-stroke: 0;
    color: white;}

ul.timeline li.current .top {
    color:white !important;
    font-size: 2em;
}
    
ul.timeline ul.links-list li.current {
    border-left: 1px solid #00ae42 !important;
    color: #00ae42 !important;}
    
ul.timeline ul.links-list li.current::before {
    -moz-text-stroke: 1px #00ae42;
    -webkit-text-stroke: 1px #00ae42;
    text-stroke: 1px #00ae42;
    color: #00ae42;
    left: -6.5px;}
    
ul.timeline li.current ul.links-list li.complete {
    /* border-left: 1px solid white !important;
    color: white !important; */
}
    
ul.timeline li.current ul.links-list li.complete::before {
    /* -moz-text-stroke: 1px white;
    -webkit-text-stroke: 1px white;
    text-stroke: 1px white;
    color: white;
    left: -6.5px; */
}
ul.timeline .year .months {
    border-top: 1px solid gainsboro;
    display:flex !important;
    padding-bottom: 50px;
}
ul.timeline .year .months .month {
    display:inline-block !important;
    flex: 1 !important;
    padding: 0 10px !important;
}
ul.timeline h1 {
    /* text-shadow: -4px 2px 0px #24c0c1; */
}

ul.timeline ul.links-list li,
ul.timeline ul.links-list li.complete{
    border-bottom-color: whitesmoke !important;
    color: #5b5b5b !important;
    margin: 0 !important;
}
ul.timeline ul.links-list li span,
ul.timeline ul.links-list li.complete span {
    color: black !important;
}
ul.timeline li.current ul.links-list li,
ul.timeline li.current ul.links-list li span{
    color: white !important;
}

ul.timeline li.current {
    background: #534784;
    border: 1px solid #534784;
    box-shadow: 7px 7px 0px #00aeef;
        -moz-box-shadow: 7px 7px 0px #00aeef;
        -webkit-box-shadow: 7px 7px 0px #00aeef;
    margin-bottom: 10px;
    /* padding: 10px 0 0; */
    padding: 30px !important;
}

ul.timeline li.current .top {
    color: white !important;
    font-size: 2em;
}
ul.timeline li.current ul.links-list li {
    border-left: 1px solid #786ca9 !important;
}

ul.timeline li.complete ul.links-list li::before {
    text-stroke: 1px #534784 !important;
        -moz-text-stroke: 1px #534784 !important;
        -webkit-text-stroke: 1px #534784 !important;
    color: #534784 !important;
    left: -6px !important;
}

ul.timeline li.current ul.links-list li::before {
    text-stroke: 1px white !important;
        -moz-text-stroke: 1px white !important;
        -webkit-text-stroke: 1px white !important;
    color: white !important;
    left: -6px !important;
}








ul.timeline.inline{
    display:flex !important;
    flex:1 !important;
}
ul.timeline.inline .year{
    /* border:1px solid whitesmoke !important; */
    position:relative !important;
}
ul.timeline.inline .year .months {
    /* border:1px solid whitesmoke !important;
    padding:20px !important;
    position:relative !important; */

    border:none !important;
    border-left: 5px solid #534784 !important;
    padding: 0px !important;
}
ul.timeline.inline .item{
    /* position:relative; */
}
ul.timeline.inline .item .label{
    /* border:1px solid #534784 !important; */
    background:whitesmoke !important;
    /* background:#00aeef !important; */
    border:5px solid #534784 !important;
        border-top:none !important;
    display:none !important;
    position:absolute !important;
    top:100% !important;
    left:0 !important;
    line-height:1.25em !important;
    padding:30px;
    width:calc(100% + 5px) !important;
}

ul.timeline.inline .item:hover .label{
    /* background:whitesmoke !important; */
    /* border:1px solid gainsboro !important; */
    /* border:none !important; */
    /* border-left:5px solid #534784 !important; */
    display:block !important;
    z-index:9999999999999 !important;
}

ul.timeline.inline .item .hover {
    /* color: #00aeef !important;
    cursor:pointer !important;
    font-size:100px !important;
    line-height:.85em !important;
    vertical-align:top !important; */
    
    color: #00aeef !important;
    cursor: pointer !important;
    font-size: 100px !important;
    line-height: .85em !important;
    vertical-align: top !important;
    border: 1px solid white;
    border-radius:unset !important;
        -webkit-boder-radius:unset !important;
}
ul.timeline.inline .item:hover .hover{
    background:mediumvioletred !important;
}
/* ul.timeline.inline h1.top{
    display:flex !important;
    flex:0 0 100% !important;
    justify-content:center !important;
    font-size:1.5em !important;
    text-shadow:unset !important;
    
    line-height:1em !important;
    padding:5px 8.09px !important;
    position: relative;
    top: 0;
    left: 0;
} */

ul.timeline.inline h1.top {
    display: flex !important;
    /* flex: 0 0 100% !important; */
    justify-content: center !important;
    font-size: 1.5em !important;
    text-shadow: unset !important;
    background: #534784;
    color: white !important;
    line-height: 1em !important;
    padding: 5px 8.09px !important;
    position: relative;
    top: 0;
    left: 0;
    display: inline-block !important;
    margin:0 !important;
}



ul.timeline.inline.progress .year .months .month {
    padding:0 !important;
    background:gainsboro !important;
    flex:1 !important;
    margin:0 !important;
    cursor:pointer !important;
    box-shadow: -20px 0px 20px 0px rgb(0 0 0 / 15%) !important;
        -webkit-box-shadow: -20px 0px 20px 0px rgb(0 0 0 / 15%) !important;
}
ul.timeline.inline.progress .year .months .month .label-month {
    display:none;
    padding:5px 8.09px !important;
    position:absolute !important;
    top:0;
    right:0;
}
ul.timeline.inline.progress .year .months .month:hover .label-month {
    display:inline-block !important;
}

        
ul.timeline.inline.progress .year .months .month .item {
    background:none;
    border:none !important;
        border-right: 1px solid #6e27b5 !important;
    display:flex !important;
    flex:1 !important;
    margin:0 !important;
    padding:0 !important;
    padding: 20px 10px !important;
    width:100% !important;
    /* box-shadow: inset -20px 0px 20px 0px rgb(0 0 0 / 15%) !important;
        -webkit-box-shadow: inset -20px 0px 20px 0px rgb(0 0 0 / 15%) !important; */
    }

        
    ul.timeline.inline.progress.compact .year .months .month .item {
        padding: 5px 10px !important;
        }

    ul.timeline.inline.progress .year .months .month .item:last-of-type {
            border-right: none !important;
        }

        ul.timeline.inline.progress .year .months .month .item .label{   
            background:white !important;    
            box-shadow: 7px 7px 0px 0px #00aeef !important;
                -webkit-box-shadow: 7px 7px 0px 0px #00aeef !important;
        }

ul.timeline.inline.progress .item.next:first-of-type {
        background:#534784 !important;}

ul.timeline.inline.progress .year .months .month .item .day {
    color:white !important;
    font-size:.7em !important;
    font-weight:normal !important;
    letter-spacing: 1px !important;
}
ul.timeline.inline.progress .year .months .month .item.current .day {
    color:white !important;
    font-weight:bold !important;
}
ul.timeline.inline.progress .year .months .month .item .hover {
    background:none !important;
    border:none !important;
    display:flex !important;
    flex:1 !important;
    margin:0 !important;
    width:100% !important;
    height:50px !important;
}
/* ul.timeline.inline.progress .year .months .month.complete .item {
    background:limegreen !important;
} */
/* ul.timeline.inline.progress .year .months .month:hover {
    background:#e6249f !important;
} */
ul.timeline.inline.progress .year .months .month .item {
    background:#00aeef !important;
    background:#7a2cc9 !important;
}
ul.timeline.inline.progress .year .months .month .item.complete {
    background:#2ad551  !important;    
    border-right-color: #2ec14f !important;
    /* background:#7a2cc9 !important; */
}
ul.timeline.inline.progress .year .months .month .item.complete:hover {
    /* background:#7a2cc9 !important; */
}
ul.timeline.inline.progress .year .months .month .item.current {
    background:#534784 !important;
}
ul.timeline.inline.progress .year .months .month .item.current:hover {
    /* background:#7a2cc9 !important; */
}
ul.timeline.inline.progress .year .months .month .item:hover {
    background:#7a2cc9 !important;
    background:#00aeef !important;
}
ul.timeline.inline .year .months .month.current .item .label {
    border-top: none !important;
}
ul.timeline.inline.progress .year .months .month.current {
    box-shadow: 0px 15px 0px 0px #00aeef;
        -moz-box-shadow: 0px 15px 0px 0px #00aeef;
        -webkit-box-shadow: 0px 15px 0px 0px #00aeef;
}
ul.timeline.inline.progress .year .months .month .item{
    /* height: 50px !important; */
}

ul.timeline.inline.progress .year .months .month .item .hover{
    display:none !important;}







 



ul.timeline{
    margin-bottom:50px !important;}

    .anywhere.timeline ul.timeline.inline,
    .anywhere.timeline ul.timeline.inline.progress{
        margin:0 auto !important;}
        
    .anywhere.timeline{
        margin:auto !important;
        position:fixed !important;
            bottom:0 !important;
            left:0 !important;
        width:100% !important;
        z-index:99999999999999999999 !important;
    }
    
    .anywhere.timeline.bottom ul.timeline.inline.progress .year .top{
        z-index:99999999999999999999 !important;
    }

    .anywhere.timeline.bottom ul.timeline.inline.progress .year .months {
        position:relative !important;
        z-index:99999 !important;
    }
    
    .anywhere.timeline.bottom ul.timeline.inline.progress .year .months .month .item .label {
        background: white !important;
        border-top: 5px solid #534784 !important;
        border-bottom:none !important;
        box-shadow: 7px -7px 0px 0px #00aeef !important;
            -webkit-box-shadow: 7px -7px 0px 0px #00aeef !important;
        bottom:100% !important;
        padding-bottom:50px !important;
        top:unset !important;
        z-index:unset !important;
    }

    .anywhere.timeline.bottom ul.timeline.inline.progress .year:last-of-type .months .month .item .label{
        width:100% !important;
    }

    .anywhere.timeline.bottom ul.timeline.inline.progress .year .months .month .label-month {
        display: none;
        padding: 5px 8.09px !important;
        position: absolute !important;
        top: unset;
        right: 0;
        bottom: 100% !important;
        z-index: 99999999999999999999999999999999 !important;
    }

ul.timeline .date {
    display:inline-block !important;
    vertical-align:middle !important;
}
ul.timeline .label {
    display:block !important;
    font-weight:normal !important;
    vertical-align:middle !important;
}
ul.timeline .current .label {
    color: white !important;
}

ul.timeline.stack .date {
    display:inline-block !important;
    vertical-align:middle !important;
}
ul.timeline.stack .label {
    display:inline-block !important;
    vertical-align:middle !important;
}
ul.timeline.stack {
    padding:0 !important;
}
ul.timeline.stack .year {
    display:block !important;
    flex:unset !important;
}
ul.timeline.stack .year .months {
    border-top: 1px solid gainsboro;
    display: block !important;
    padding-bottom: 50px;
}
ul.timeline.stack .year .months .month {
    display: block !important;
    flex: 1 !important;
    padding: 0 10px !important;
}
ul.timeline.stack li li:last-of-type {
    padding-bottom: 0px !important;
}
ul.timeline.stack li {
    margin-left:0 !important;
}